Install KDE 4 SVN on Gentoo via Emerge (Gentoo)

To do this we will be using layman

To install the layman overlay manager

emerge layman

get the update overlay list

layman –fetch

add the kde overlay to your portage

layman -a kde

Tell portage to use the overlay where possible

echo “source /usr/portage/local/layman/make.conf” >> /etc/make.conf

Add these to make.conf

qt4 dbus taglib

I needed to re-emerge qt so it would add support tor the two new use flags

emerge –newuse qt

————-Start of Dependencies————-
i needed to add

app-misc/strigi **

dev-libs/libzip **

=media-libs/taglib-9999 **

=net-libs/telepathy-qt-9999 **

=net-voip/tapioca-qt-9999 **

=dev-libs/soprano-9999 **

To /etc/portage/package.keywords

Get these dependancies

emerge app-crypt/qca*

emerge =app-misc/strigi-0.5.7

media-gfx/exiv2-0.15 wanted me to run

revdep-rebuild

This application goes through all your packages and checked for broken links

Got More dependancies

emerge dev-libs/libzip

emerge =media-libs/taglib-9999

emerge =net-libs/telepathy-qt-9999

emerge =net-voip/tapioca-qt-9999

emerge =dev-libs/soprano-9999

—————End of Dependencies—————-

————–Start of KDE4 Monolithic Packages—
Add this

=kde-base/kdelibs-9999.4 **

=kde-base/kdepimlibs-9999.4 **

=kde-base/kdebase-9999.4 **

kde-base/qimageblitz **

=kde-base/kdeadmin-9999.4 **

=kde-base/kdeartwork-9999.4 **

=kde-base/kdeedu-9999.4 **

=kde-base/kdegames-9999.4 **

=kde-base/kdegraphics-9999.4 **

=kde-base/kdemultimedia-9999.4 **

=kde-base/kdenetwork-9999.4 **

=kde-base/kdepim-9999.4 **

=kde-base/kdetoys-9999.4 **

=kde-base/kdeutils-9999.4 **

=kde-base/kdevplatform-9999.4 **

=kde-base/kdevelop-9999.4 **

=kde-base/kdewebdev-9999.4 **

=kde-base/kdevplatform-9999.4 **

to /etc/portage/package.keywords

Then emerge all these packages

emerge =kde-base/kdelibs-9999.4

emerge =kde-base/kdepimlibs-9999.4

emerge =kde-base/kdebase-9999.4

emerge =kde-base/kdeadmin-9999.4

emerge =kde-base/kdeartwork-9999.4

emerge =kde-base/kdeedu-9999.4

emerge =kde-base/kdegames-9999.4

emerge =kde-base/kdegraphics-9999.4

emerge =kde-base/kdemultimedia-9999

emerge =kde-base/kdenetwork-9999.4

emerge =kde-base/kdepim-9999.4

emerge =kde-base/kdetoys-9999.4

emerge =kde-base/kdeutils-9999.4

————–End of KDE4 Monolithic Packages—

You can now use GDM to select KDE SVN

Note – Some developers recommend maxing a user just for KDE 4 , a few developers had trouble with KDE 4 making changes to config files in your /home/usernameĀ  folder

I had no problems but may be something to think about

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s